<?php

function mindful_blog_intro_text( $default_text ) {
	$default_text .= sprintf(
		'<div class="notice  notice-info mindful-blog-demo-data"><p class="demo-file-content">%1$s <a href="%2$s" target="_blank">%3$s</a></p></div>',
		esc_html__( 'Demo content files for Mindful Blog Theme.', 'mindful-blog' ),
		esc_url( 'https://docs.ascendoor.com/docs/mindful-blog/getting-started/import-demo-data/' ),
		esc_html__( 'Click here to download demo files.', 'mindful-blog' )
	);
	return $default_text;
}
add_filter( 'pt-ocdi/plugin_intro_text', 'mindful_blog_intro_text' );

/**
 * OCDI after import.
 */
function mindful_blog_after_import_setup() {
	// Assign menus to their locations.
	$mindful_blog_primary_menu = get_term_by( 'name', 'Primary Menu', 'nav_menu' );
	$mindful_blog_social_menu  = get_term_by( 'name', 'Social Menu', 'nav_menu' );

	set_theme_mod(
		'nav_menu_locations',
		array(
			'primary' => $mindful_blog_primary_menu->term_id,
			'social'  => $mindful_blog_social_menu->term_id,
		)
	);

}
add_action( 'ocdi/after_import', 'mindful_blog_after_import_setup' );
